Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Class ServerBrowserEndpoint

    java.lang.Object
      org.jboss.jms.server.endpoint.ServerBrowserEndpoint

All Implemented Interfaces:
  BrowserEndpoint, Closeable

public class ServerBrowserEndpoint
extends java.lang.Object
implements BrowserEndpoint

Concrete implementation of BrowserEndpoint.

Version:
  `$Revision: 1.10 $` $Id: ServerBrowserEndpoint.java,v 1.10 2006/02/21 07:44:00 timfox Exp $
Author:
  Tim Fox

Constructor Summary
`protected` | `ServerBrowserEndpoint(ServerSessionEndpoint session, int id, Channel destination, java.lang.String messageSelector)`

Method Summary
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`boolean` | `hasNextMessage()`
`Message` | `nextMessage()`
`Message[]` | `nextMessageBlock(int maxMessages)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerBrowserEndpoint

    protected ServerBrowserEndpoint(ServerSessionEndpoint session,
                                    int id,
                                    Channel destination,
                                    java.lang.String messageSelector)
                             throws JMSException

Method Detail

### hasNextMessage

    public boolean hasNextMessage()
                           throws JMSException

  Specified by:
    `hasNextMessage` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### nextMessage

    public Message nextMessage()
                        throws JMSException

  Specified by:
    `nextMessage` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### nextMessageBlock

    public Message[] nextMessageBlock(int maxMessages)
                               throws JMSException

  Specified by:
    `nextMessageBlock` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.